Subject: bug#67586: guix package: error: package [email-masked] does not support x86_64-linux

From: Nils Landt <[email-masked]>
Date: Sat, 2 Dec 2023 18:03:48 +0100 (CET)

Hello,

I use guix home for almost everything, but I have installed glibc-locales in my "regular" guix (just by running guix package install glibc-locales).
Now, running guix package --upgrade fails with:
guix package: error: package [email-masked] does not support x86_64-linux

But from my reading of (gnu packages base), glibc-locales version should be the same as glibc version. This is not the case for me though:
guix repl
GNU Guile 3.0.9
Copyright (C) 1995-2023 Free Software Foundation, Inc.

Guile comes with ABSOLUTELY NO WARRANTY; for details type `,show w'.
This program is free software, and you are welcome to redistribute it
under certain conditions; type `,show c' for details.

Enter `,help' for help.
scheme@(guix-user)> ,use (gnu packages)
scheme@(guix-user)> (specification->package "glibc-locales")
$1 = #<package [email-masked] gnu/packages/base.scm:1276 7f4de8bd0420>
scheme@(guix-user)> (specification->package "glibc")
$2 = #<package [email-masked] gnu/packages/base.scm:795 7f4de8bb76e0>

In my home profile, I was able to fix it by using (make-glibc-locales glibc) instead of (specification->package "glibc-locales").